# Overview

This document describes information for working with PAMIQ-Core. Let’s walk through the sections that might catch your interest.

## User Guide Structure

- [**Launch**](./launch.md): System setup and startup
- [**Interaction**](./interaction.md): Interface between agent and environment
- [**Model**](./model.md): Model implementation and management
- [**Data**](./data.md): Data buffers and memory management
- [**Trainer**](./trainer.md): Training loop and algorithms
- [**Torch🔥**](./torch.md): PyTorch integration
- [**State Persistence**](./state_persistence.md): Saving and restoring system state
- [**Schedulers**](./schedulers.md): Management of periodic task execution
